# Group UserChats
Welcome to the user chats API. This API provides access to the user chats service.

## user chats [/user_chats]

### Create user chat [POST]

Create a new user chat

+ Request user chat (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + chat_id: 1 (number)

+ Response 201 (application/json; charset=utf-8)
    + Attributes (user_chat, fixed)

### Get user chats [GET]

Returns an user chat list.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (array, fixed)
        + (user_chat)

## user chat details [/user_chats/{id}]

+ Parameters
    + id: `1` (enum[string]) - The ID of the desired user chat.
        + Members
            + `1`
            + `2`
            + `3`

### Get user chat [GET]

Returns an user chat.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user_chat, fixed)

### Update user chat [PUT]

Update an user chat.

+ Request user_chat (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json
    + Attributes

        + chat_id: 1 (number)

+ Response 200 (application/json; charset=utf-8)
    + Attributes (user_chat, fixed)

### Delete user chat [DELETE]

Delete an user chat.

+ Request (application/json; charset=utf-8)
    + Headers

            Accept: application/vnd.D.Koltsov+json

+ Response 204

# Data Structures
## user_chat (object)

+ id: *1* (number)
+ chat_id: *1* (number)
+ created_at: `*2000-01-01 00:00:00*` (string)
+ updated_at: `*2000-01-01 00:00:00*` (string)
